org.apache.hadoop.security.token.delegation.web

## Class PseudoDelegationTokenAuthenticator

- java.lang.Object
- - org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator
  - - org.apache.hadoop.security.token.delegation.web.PseudoDelegationTokenAuthenticator

- All Implemented Interfaces:
    org.apache.hadoop.security.authentication.client.Authenticator

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class PseudoDelegationTokenAuthenticator
      extends DelegationTokenAuthenticator

  The `PseudoDelegationTokenAuthenticator` provides support for Hadoop's pseudo authentication mechanism that accepts the user name specified as a query string parameter and support for Hadoop Delegation Token operations.

  This mimics the model of Hadoop Simple authentication trusting the `UserGroupInformation.getCurrentUser()` value.

- - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator

      `DELEGATION_PARAM, DELEGATION_TOKEN_HEADER, DELEGATION_TOKEN_JSON, DELEGATION_TOKEN_URL_STRING_JSON, OP_PARAM, RENEW_DELEGATION_TOKEN_JSON, RENEWER_PARAM, SERVICE_PARAM, TOKEN_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PseudoDelegationTokenAuthenticator()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator

      `authenticate, cancelDelegationToken, cancelDelegationToken, getDelegationToken, getDelegationToken, renewDelegationToken, renewDelegationToken, setConnectionConfigurator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PseudoDelegationTokenAuthenticator

          public PseudoDelegationTokenAuthenticator()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.